Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Virgo » Cannot install GreenPages app on Virgo 3.6.0.release(Unable to satisfy dependencies of bundle 'greenpages-2.5.0.RELEASE-green pages.web' at version '2.5.0': A library with the name 'org.springframework.spring' and a version within the range '[3.0.0, 3.1)
Cannot install GreenPages app on Virgo 3.6.0.release [message #1008735] Wed, 13 February 2013 18:43 Go to next message
Brent Jacox is currently offline Brent Jacox
Messages: 5
Registered: February 2013
Junior Member
I have installed Virgo 3.6.0.release and built the greenpages example from documentation but I am getting the following exception.
[2013-02-13 11:25:14.066] startup-readiness            <KE0007I> Virgo ready. Started for 24.660s.
[2013-02-13 11:25:15.140] fs-watcher                   <HD0001I> Hot deployer processing 'INITIAL' event for file 'greenpages-2.5.0.
RELEASE.par'.
[2013-02-13 11:25:21.314] fs-watcher                   <DE0000I> Installing par 'greenpages' version '2.5.0.RELEASE'.
[2013-02-13 11:25:21.316] fs-watcher                   <DE0000I> Installing bundle 'greenpages-2.5.0.RELEASE-com.springsource.org.h2
' version '1.0.71'.
[2013-02-13 11:25:21.319] fs-watcher                   <DE0000I> Installing bundle 'greenpages-2.5.0.RELEASE-greenpages.core' versio
n '2.5.0'.
[2013-02-13 11:25:21.321] fs-watcher                   <DE0000I> Installing bundle 'greenpages-2.5.0.RELEASE-greenpages.db' version
'2.5.0'.
[2013-02-13 11:25:21.323] fs-watcher                   <DE0000I> Installing bundle 'greenpages-2.5.0.RELEASE-greenpages.jpa' version
 '2.5.0'.
[2013-02-13 11:25:21.325] fs-watcher                   <DE0000I> Installing bundle 'greenpages-2.5.0.RELEASE-greenpages.web' version
 '2.5.0'.
[2013-02-13 11:25:21.377] fs-watcher                   <DE0002E> Installation of par 'greenpages' version '2.5.0.RELEASE' failed. or
g.eclipse.virgo.nano.deployer.api.core.DeploymentException: Unable to satisfy dependencies of bundle 'greenpages-2.5.0.RELEASE-green
pages.web' at version '2.5.0': A library with the name 'org.springframework.spring' and a version within the range '[3.0.0, 3.1.0)'
could not be found
        at org.eclipse.virgo.kernel.deployer.core.internal.ImportExpandingTransformer.expandImports(ImportExpandingTransformer.java:
116)
        at org.eclipse.virgo.kernel.deployer.core.internal.ImportExpandingTransformer.expandImportsOfBundlesInScopedPlan(ImportExpan
dingTransformer.java:89)
        at org.eclipse.virgo.kernel.deployer.core.internal.ImportExpandingTransformer$ImportExpandingGraphVisitor.visit(ImportExpand
ingTransformer.java:76)
        at org.eclipse.virgo.util.common.ThreadSafeGraphNode.visitInternal(ThreadSafeGraphNode.java:193)
        at org.eclipse.virgo.util.common.ThreadSafeGraphNode.visit(ThreadSafeGraphNode.java:184)
        at org.eclipse.virgo.kernel.deployer.core.internal.ImportExpandingTransformer.transform(ImportExpandingTransformer.java:58)
        at org.eclipse.virgo.kernel.install.pipeline.stage.transform.internal.TransformationStage.doProcessGraph(TransformationStage
.java:54)
        at org.eclipse.virgo.kernel.install.pipeline.stage.AbstractPipelineStage.process(AbstractPipelineStage.java:41)
        at org.eclipse.virgo.kernel.install.pipeline.internal.StandardPipeline.doProcessGraph(StandardPipeline.java:62)
        at org.eclipse.virgo.kernel.install.pipeline.internal.CompensatingPipeline.doProcessGraph(CompensatingPipeline.java:73)
        at org.eclipse.virgo.kernel.install.pipeline.stage.AbstractPipelineStage.process(AbstractPipelineStage.java:41)
        at org.eclipse.virgo.kernel.install.pipeline.internal.StandardPipeline.doProcessGraph(StandardPipeline.java:62)
        at org.eclipse.virgo.kernel.install.pipeline.stage.AbstractPipelineStage.process(AbstractPipelineStage.java:41)
        at org.eclipse.virgo.kernel.deployer.core.internal.PipelinedApplicationDeployer.driveInstallPipeline(PipelinedApplicationDep
loyer.java:359)
        at org.eclipse.virgo.kernel.deployer.core.internal.PipelinedApplicationDeployer.doInstall(PipelinedApplicationDeployer.java:
185)
        at org.eclipse.virgo.kernel.deployer.core.internal.PipelinedApplicationDeployer.install(PipelinedApplicationDeployer.java:14
0)
        at org.eclipse.virgo.kernel.deployer.core.internal.PipelinedApplicationDeployer.deploy(PipelinedApplicationDeployer.java:253
)
        at org.eclipse.virgo.nano.deployer.hot.HotDeploymentFileSystemListener.deploy(HotDeployerFileSystemListener.java:225)
        at org.eclipse.virgo.nano.deployer.hot.HotDeploymentFileSystemListener.deployIfNotDeployed(HotDeployerFileSystemListener.jav
a:237)
        at org.eclipse.virgo.nano.deployer.hot.HotDeploymentFileSystemListener.onChange(HotDeployerFileSystemListener.java:88)
        at org.eclipse.virgo.util.io.FileSystemChecker.notifyListeners(FileSystemChecker.java:373)
        at org.eclipse.virgo.util.io.FileSystemChecker.check(FileSystemChecker.java:282)
        at org.eclipse.virgo.nano.deployer.hot.WatchTask.run(WatchTask.java:48)
        at java.lang.Thread.run(Thread.java:722)
Caused by: org.eclipse.virgo.kernel.osgi.framework.UnableToSatisfyBundleDependenciesException: Unable to satisfy dependencies of bun
dle 'greenpages-2.5.0.RELEASE-greenpages.web' at version '2.5.0': A library with the name 'org.springframework.spring' and a version
 within the range '[3.0.0, 3.1.0)' could not be found
        at org.eclipse.virgo.kernel.userregion.internal.importexpansion.ImportExpansionHandler.createExceptionForMissingLibrary(Impo
rtExpansionHandler.java:185)
        at org.eclipse.virgo.kernel.userregion.internal.importexpansion.ImportExpansionHandler.getLibraryPackageImports(ImportExpans
ionHandler.java:454)
        at org.eclipse.virgo.kernel.userregion.internal.importexpansion.ImportExpansionHandler.getAdditionalPackageImports(ImportExp
ansionHandler.java:232)
        at org.eclipse.virgo.kernel.userregion.internal.importexpansion.ImportExpansionHandler.expandImports(ImportExpansionHandler.
java:207)
        at org.eclipse.virgo.kernel.userregion.internal.importexpansion.ImportExpansionHandler.expandImportsIfNecessary(ImportExpans
ionHandler.java:175)
        at org.eclipse.virgo.kernel.userregion.internal.importexpansion.ImportExpansionHandler.expandImports(ImportExpansionHandler.
java:113)
        at sun.reflect.GeneratedMethodAccessor62.invoke(Unknown Source)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
        at java.lang.reflect.Method.invoke(Method.java:601)
        at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:318)
        at org.eclipse.gemini.blueprint.service.importer.support.internal.aop.ServiceInvoker.doInvoke(ServiceInvoker.java:56)
        at org.eclipse.gemini.blueprint.service.importer.support.internal.aop.ServiceInvoker.invoke(ServiceInvoker.java:60)
        at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:172)
        at org.springframework.aop.support.DelegatingIntroductionInterceptor.doProceed(DelegatingIntroductionInterceptor.java:131)
        at org.springframework.aop.support.DelegatingIntroductionInterceptor.invoke(DelegatingIntroductionInterceptor.java:119)
        at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:172)
        at org.eclipse.gemini.blueprint.service.util.internal.aop.ServiceTCCLInterceptor.invokeUnprivileged(ServiceTCCLInterceptor.j
ava:70)
        at org.eclipse.gemini.blueprint.service.util.internal.aop.ServiceTCCLInterceptor.invoke(ServiceTCCLInterceptor.java:53)
        at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:172)
        at org.eclipse.gemini.blueprint.service.importer.support.LocalBundleContextAdvice.invoke(LocalBundleContextAdvice.java:57)
        at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:172)
        at org.springframework.aop.support.DelegatingIntroductionInterceptor.doProceed(DelegatingIntroductionInterceptor.java:131)
        at org.springframework.aop.support.DelegatingIntroductionInterceptor.invoke(DelegatingIntroductionInterceptor.java:119)
        at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:172)
        at org.springframework.aop.framework.JdkDynamicAopProxy.invoke(JdkDynamicAopProxy.java:202)
        at $Proxy42.expandImports(Unknown Source)
        at org.eclipse.virgo.kernel.deployer.core.internal.ImportExpandingTransformer.expandImports(ImportExpandingTransformer.java:
107)
        ... 23 common frames omitted
Re: Cannot install GreenPages app on Virgo 3.6.0.release [message #1008982 is a reply to message #1008735] Thu, 14 February 2013 08:48 Go to previous messageGo to next message
Cene Lavrič is currently offline Cene Lavrič
Messages: 5
Registered: February 2013
Location: Sloveinj, Gorenja vas, Do...
Junior Member
Referring to the excerpt "A library with the name 'org.springframework.spring' and a version within the range '[3.0.0, 3.1.0)' could not be found" it is obvious that range excludes version 3.1.0. However this is precisely the Spring version delivered with Virgo 3.6.0. Increase the version range maximum in Greenpages.
You can find detailed instruction in STEP 12 at Wordpress site "Greenpagesvirgo.wordpress.com".
Re: Cannot install GreenPages app on Virgo 3.6.0.release [message #1009170 is a reply to message #1008982] Thu, 14 February 2013 15:25 Go to previous messageGo to next message
Brent Jacox is currently offline Brent Jacox
Messages: 5
Registered: February 2013
Junior Member
Thanks for the information it seems to get me past my original problem. Now I am faced with:
[2013-02-14 08:19:37.145] fs-watcher                   <DE0003E> Install failed for par 'greenpages' version '2.5.0.RELEASE'.
[2013-02-14 08:19:37.148] fs-watcher                   <DE0500E> Unable to install application from URI 'file:/C:/VIRGO-~1.REL/picku
p/greenpages-2.5.0.RELEASE.par'. Cannot satisfy constraints for bundle 'greenpages-2.5.0.RELEASE-greenpages.jpa' version '2.5.0'. Ca
nnot resolve: greenpages-2.5.0.RELEASE-greenpages.jpa
    Resolver report:
        An Import-Package could not be resolved. Resolver error data <Import-Package: org.eclipse.persistence.tools.schemaframework;
 version="0.0.0">. Caused by missing constraint in bundle <greenpages-2.5.0.RELEASE-greenpages.jpa_2.5.0>
             constraint: <Import-Package: org.eclipse.persistence.tools.schemaframework; version="0.0.0"> constrained to bundle <com
.springsource.org.eclipse.persistence> constrained bundle version range "[1.0.0,1.0.0]"
        An Import-Package could not be resolved. Resolver error data <Import-Package: javax.persistence; version="[1.0.0,2.0.0)">. C
aused by missing constraint in bundle <com.springsource.org.eclipse.persistence_1.0.0>
             constraint: <Import-Package: javax.persistence; version="[1.0.0,2.0.0)">
. org.eclipse.virgo.kernel.osgi.framework.UnableToSatisfyBundleDependenciesException: Unable to satisfy dependencies of bundle 'gree
npages-2.5.0.RELEASE-greenpages.jpa' at version '2.5.0': Cannot resolve: greenpages-2.5.0.RELEASE-greenpages.jpa
    Resolver report:
        An Import-Package could not be resolved. Resolver error data <Import-Package: org.eclipse.persistence.tools.schemaframework;
 version="0.0.0">. Caused by missing constraint in bundle <greenpages-2.5.0.RELEASE-greenpages.jpa_2.5.0>
             constraint: <Import-Package: org.eclipse.persistence.tools.schemaframework; version="0.0.0"> constrained to bundle <com
.springsource.org.eclipse.persistence> constrained bundle version range "[1.0.0,1.0.0]"
        An Import-Package could not be resolved. Resolver error data <Import-Package: javax.persistence; version="[1.0.0,2.0.0)">. C
aused by missing constraint in bundle <com.springsource.org.eclipse.persistence_1.0.0>
             constraint: <Import-Package: javax.persistence; version="[1.0.0,2.0.0)">

        at org.eclipse.virgo.kernel.install.pipeline.stage.resolve.internal.QuasiResolveStage.process(QuasiResolveStage.java:46)
        at org.eclipse.virgo.kernel.install.pipeline.internal.StandardPipeline.doProcessGraph(StandardPipeline.java:62)
        at org.eclipse.virgo.kernel.install.pipeline.internal.CompensatingPipeline.doProcessGraph(CompensatingPipeline.java:73)
        at org.eclipse.virgo.kernel.install.pipeline.stage.AbstractPipelineStage.process(AbstractPipelineStage.java:41)
        at org.eclipse.virgo.kernel.install.pipeline.internal.StandardPipeline.doProcessGraph(StandardPipeline.java:62)
        at org.eclipse.virgo.kernel.install.pipeline.stage.AbstractPipelineStage.process(AbstractPipelineStage.java:41)
        at org.eclipse.virgo.kernel.deployer.core.internal.PipelinedApplicationDeployer.driveInstallPipeline(PipelinedApplicationDep
loyer.java:359)
        at org.eclipse.virgo.kernel.deployer.core.internal.PipelinedApplicationDeployer.doInstall(PipelinedApplicationDeployer.java:
185)
        at org.eclipse.virgo.kernel.deployer.core.internal.PipelinedApplicationDeployer.install(PipelinedApplicationDeployer.java:14
0)
        at org.eclipse.virgo.kernel.deployer.core.internal.PipelinedApplicationDeployer.deploy(PipelinedApplicationDeployer.java:253
)
        at org.eclipse.virgo.nano.deployer.hot.HotDeploymentFileSystemListener.deploy(HotDeployerFileSystemListener.java:225)
        at org.eclipse.virgo.nano.deployer.hot.HotDeploymentFileSystemListener.deployIfNotDeployed(HotDeployerFileSystemListener.jav
a:237)
        at org.eclipse.virgo.nano.deployer.hot.HotDeploymentFileSystemListener.onChange(HotDeployerFileSystemListener.java:88)
        at org.eclipse.virgo.util.io.FileSystemChecker.notifyListeners(FileSystemChecker.java:373)
        at org.eclipse.virgo.util.io.FileSystemChecker.check(FileSystemChecker.java:282)
        at org.eclipse.virgo.nano.deployer.hot.WatchTask.run(WatchTask.java:48)
        at java.lang.Thread.run(Thread.java:722)

[2013-02-14 08:19:37.176] fs-watcher                   <HD0002E> Hot deploy failed for file 'greenpages-2.5.0.RELEASE.par'. org.ecli
pse.virgo.nano.deployer.api.core.DeploymentException: Dependency satisfaction failed
        at org.eclipse.virgo.kernel.deployer.core.internal.PipelinedApplicationDeployer.driveInstallPipeline(PipelinedApplicationDep
loyer.java:362)
        at org.eclipse.virgo.kernel.deployer.core.internal.PipelinedApplicationDeployer.doInstall(PipelinedApplicationDeployer.java:
185)
        at org.eclipse.virgo.kernel.deployer.core.internal.PipelinedApplicationDeployer.install(PipelinedApplicationDeployer.java:14
0)
        at org.eclipse.virgo.kernel.deployer.core.internal.PipelinedApplicationDeployer.deploy(PipelinedApplicationDeployer.java:253
)
        at org.eclipse.virgo.nano.deployer.hot.HotDeploymentFileSystemListener.deploy(HotDeployerFileSystemListener.java:225)
        at org.eclipse.virgo.nano.deployer.hot.HotDeploymentFileSystemListener.deployIfNotDeployed(HotDeployerFileSystemListener.jav
a:237)
        at org.eclipse.virgo.nano.deployer.hot.HotDeploymentFileSystemListener.onChange(HotDeployerFileSystemListener.java:88)
        at org.eclipse.virgo.util.io.FileSystemChecker.notifyListeners(FileSystemChecker.java:373)
        at org.eclipse.virgo.util.io.FileSystemChecker.check(FileSystemChecker.java:282)
        at org.eclipse.virgo.nano.deployer.hot.WatchTask.run(WatchTask.java:48)
        at java.lang.Thread.run(Thread.java:722)
Caused by: org.eclipse.virgo.kernel.osgi.framework.UnableToSatisfyBundleDependenciesException: Unable to satisfy dependencies of bun
dle 'greenpages-2.5.0.RELEASE-greenpages.jpa' at version '2.5.0': Cannot resolve: greenpages-2.5.0.RELEASE-greenpages.jpa
    Resolver report:
        An Import-Package could not be resolved. Resolver error data <Import-Package: org.eclipse.persistence.tools.schemaframework;
 version="0.0.0">. Caused by missing constraint in bundle <greenpages-2.5.0.RELEASE-greenpages.jpa_2.5.0>
             constraint: <Import-Package: org.eclipse.persistence.tools.schemaframework; version="0.0.0"> constrained to bundle <com
.springsource.org.eclipse.persistence> constrained bundle version range "[1.0.0,1.0.0]"
        An Import-Package could not be resolved. Resolver error data <Import-Package: javax.persistence; version="[1.0.0,2.0.0)">. C
aused by missing constraint in bundle <com.springsource.org.eclipse.persistence_1.0.0>
             constraint: <Import-Package: javax.persistence; version="[1.0.0,2.0.0)">

        at org.eclipse.virgo.kernel.install.pipeline.stage.resolve.internal.QuasiResolveStage.process(QuasiResolveStage.java:46)
        at org.eclipse.virgo.kernel.install.pipeline.internal.StandardPipeline.doProcessGraph(StandardPipeline.java:62)
        at org.eclipse.virgo.kernel.install.pipeline.internal.CompensatingPipeline.doProcessGraph(CompensatingPipeline.java:73)
        at org.eclipse.virgo.kernel.install.pipeline.stage.AbstractPipelineStage.process(AbstractPipelineStage.java:41)
        at org.eclipse.virgo.kernel.install.pipeline.internal.StandardPipeline.doProcessGraph(StandardPipeline.java:62)
        at org.eclipse.virgo.kernel.install.pipeline.stage.AbstractPipelineStage.process(AbstractPipelineStage.java:41)
        at org.eclipse.virgo.kernel.deployer.core.internal.PipelinedApplicationDeployer.driveInstallPipeline(PipelinedApplicationDep
loyer.java:359)
        ... 10 common frames omitted
Re: Cannot install GreenPages app on Virgo 3.6.0.release [message #1009326 is a reply to message #1008735] Thu, 14 February 2013 22:42 Go to previous messageGo to next message
Cene Lavrič is currently offline Cene Lavrič
Messages: 5
Registered: February 2013
Location: Sloveinj, Gorenja vas, Do...
Junior Member
Referring to excerpt "constraint: <Import-Package: javax.persistence; version="[1.0.0,2.0.0)">" reveals incompatibility with the Virgo's version of EclipseLink. Virgo 3.6.0 has been delivered with bundle javax.persistence-2.0.4.v201112161009.jar. Furthermore this bundle is compatible with other EclipseLink bundles of version 2.4.0. Upgrade Greenpages EclipseLink jars to the same level i.e. 2.4.0.
You can find more detailed instructions in STEP 6 and STEP 11 of my Wordpress blog "greenpagesvirgo.wordpress.com".
Re: Cannot install GreenPages app on Virgo 3.6.0.release [message #1015140 is a reply to message #1009326] Wed, 27 February 2013 14:51 Go to previous message
Chris Frost is currently offline Chris Frost
Messages: 230
Registered: January 2010
Location: Southampton, England
Senior Member

I have just posted a new collection of Virgo samples at version RC1. (Didn't go for release as I just know someone will find a bug).

It includes Greenpages along with several other samples. I have tested/developed them alongside Leo's great work on the new Tooling so please upgrade to the new Virgo IDE tooling as well.

http://www.eclipse.org/virgo/samples/

Chris.


------------------------------------------------
Chris Frost, Twitter @cgfrost
Springsource, a divison of VMware.
Previous Topic:Virgo IDE 1.0.1.RELEASE
Next Topic:Virgo 3.6.1 Release
Goto Forum:
  


Current Time: Tue Oct 21 05:23:59 GMT 2014

Powered by FUDForum. Page generated in 0.01927 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software